vdeux

    2.1.4 • Public • Published

    build status coverage report npm downloads npm version

    vdeux(3) -- redux-vue binding

    vdeux requires vue>=2.1.0

    $ yarn add redux vdeux
    # or 
    $ npm install --save redux vdeux

    usage

    import Vue from 'vue'
    import vdeux from 'vdeux'
     
    import configureStore from './store'
    import {increment} from './store/actions'
     
    const store = configureStore()
     
    Vue.use(vdeux(store))
     
    const vm = new Vue({
      map: (state) => ({
        count: state
      }),
      actions: {increment},
      created () {
        this.$actions.increment()
        this.$actions.increment()
      }
    })
    // expect(vm.$state.count).toBe(2)
    // expect(vm._store).toBe(store)

    Keywords

    Install

    npm i vdeux

    DownloadsWeekly Downloads

    2

    Version

    2.1.4

    License

    Apache-2.0

    Last publish

    Collaborators

    • avatar
    • avatar